Skip to main content
POST
/
sites
/
{site_id}
/
reset-site
Reset a site
curl --request POST \
  --url https://api.kinsta.com/v2/sites/{site_id}/reset-site \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "admin_password": "vJnFnN-~v)PxF[6k"
}
'
{
  "message": "Reset site in progress",
  "status": 202,
  "operation_id": "sites:reset-site-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

site_id
string
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

Body

application/json
admin_password
string
required
Example:

"vJnFnN-~v)PxF[6k"

Response

Site reset action started. Check MyKinsta for status

message
string
required
Example:

"Reset site in progress"

status
number
required
Example:

202

operation_id
string
Example:

"sites:reset-site-54fb80af-576c-4fdc-ba4f-b596c83f15a1"